Page MenuHomePhabricator

Start using local nginx reverse proxy for connections reuse
Closed, ResolvedPublic

Description

Once nginx is ready to accept and forward MW HTTP requests to elastic we should start using it and stop using HHVM connection pooling.

Event Timeline

Restricted Application added a project: Discovery-Search. · View Herald TranscriptFeb 7 2019, 10:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
dcausse triaged this task as Medium priority.Feb 7 2019, 10:04 AM

Change 488895 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Start using local nginx reverse proxy for connections reuse

https://gerrit.wikimedia.org/r/488895

moving back to in progress as we'd prefer to keep HHVM connection pooling while still running HHVM but prepare mw-config so that it uses the local proxy when PHP is detected.

Change 494755 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/mediawiki-config@master] Use the local proxy for search under php7

https://gerrit.wikimedia.org/r/494755

Change 488895 abandoned by DCausse:
[cirrus] Start using local nginx reverse proxy for connections reuse

Reason:
done in I27281f8

https://gerrit.wikimedia.org/r/488895

dcausse reassigned this task from dcausse to Joe.Mar 19 2019, 5:28 PM
dcausse moved this task from Incoming to Waiting on the Discovery-Search (Current work) board.

will SWAT the patch once ES6 is up and running everywhere?

Joe added a comment.Mar 25 2019, 10:15 AM

@dcausse I plan to SWAT this today. Any objections to that?

@Joe no objections on my side, I'll be around to monitor the logs.

Change 494755 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/mediawiki-config@master] Use the local proxy for search under php7

https://gerrit.wikimedia.org/r/494755

Change 494755 merged by jenkins-bot:
[operations/mediawiki-config@master] Use the local proxy for search under php7

https://gerrit.wikimedia.org/r/494755

debt closed this task as Resolved.Apr 5 2019, 10:50 PM